#
# spec file for package rfb
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           rfb
Version:        0.6.1
Release:        703.15
Summary:        heXoNet RFB (remote control for the X Window System)
License:        GPL-2.0-or-later
Group:          System/X11/Utilities
Source0:        rfb-0.6.1.tar.bz2
Patch0:         rfb-0.6.1-rpmoptflags.patch
Patch1:         rfb-0.6.1-gcc3.dif
Patch2:         rfb-0.6.1-socklen_t.dif
Patch3:         %{name}-%{version}-gcc4.3.diff
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  xclass-devel
BuildRequires:  zlib-devel
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xtst)
Requires:       xclass

%description
The heXoNet RFB Software package includes many different projects. The
goal of this package is to provide a comprehensive collection of
rfb-enabled tools and applications. One application, x0rfbserver, was,
and maybe still is, the only complete remote control solution for the X
Window System.

%prep
%autosetup -p1

%build
export CFLAGS="%{optflags} -Wall"
%make_build depend
%make_build

%install
mkdir -p %{buildroot}%{_mandir}/man1 %{buildroot}%{_bindir}
install -m 644 man/man1/* %{buildroot}%{_mandir}/man1
install -m 755 x0rfbserver/x0rfbserver %{buildroot}%{_bindir}/
install -m 755 xrfbviewer/{xrfbviewer,xplayfbs} %{buildroot}%{_bindir}/
install -m 755 rfbcat/rfbcat %{buildroot}%{_bindir}/
install -m 755 xvncconnect/xvncconnect %{buildroot}%{_bindir}/

%files
%license COPYING
%doc README rfm_fbs.1.0.html
%{_bindir}/rfbcat
%{_bindir}/x0rfbserver
%{_bindir}/xplayfbs
%{_bindir}/xrfbviewer
%{_bindir}/xvncconnect
%{_mandir}/man1/x0rfbserver.1%{?ext_man}
%{_mandir}/man1/xplayfbs.1%{?ext_man}
%{_mandir}/man1/xrfbviewer.1%{?ext_man}

%changelog
* Mon Feb  8 2021 Martin Pluskal <mpluskal@suse.com>
- Modernise spec file
- Do not use source url as domain is no longer available
- Refresh patches
* Sun Oct 19 2014 crrodriguez@opensuse.org
- run spec cleaner
- Discontinue use of xorg-x11-devel metapackage
* Fri Oct 26 2007 anicka@suse.cz
- fix for gcc 4.3
* Tue May 29 2007 anosek@suse.cz
- changed BuildRequires xclass -> xclass-devel
* Wed Dec 13 2006 anosek@suse.cz
- changed prefix /usr/X11R6/bin -> /usr/bin
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 14 2006 schwab@suse.de
- Don't strip binaries.
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Fri Jun 13 2003 mfabian@suse.de
- remove /usr/X11R6/bin directory from filelist because it is
  already part of the filesystem RPM.
* Thu Jun 13 2002 mfabian@suse.de
- Add "Requires: xclass". I thought it was only required at
  build time because the rfb stuff is statically linked
  against xclass, but that's not quite true, xplaybfs needs
  some icons from the xclass package. Thanks to
  Michael Hasenstein <mha@suse.com> for noticing.
* Sat May 11 2002 schwab@suse.de
- Use socklen_t.
* Sat Apr 13 2002 ro@suse.de
- make it compile with gcc-3.1
* Tue Feb 26 2002 mfabian@suse.de
- update to version 0.6.1
* Wed Feb  6 2002 ihno@suse.de
- Use of CFLAGS in makefile
- fix the reading of the passwords (was endiandependend)
* Wed Jun 13 2001 mfabian@suse.de
- remove unnecessary "Requires: xclass", it is only required
  at build time
- move binaries to /usr/X11R6/bin
- strip binaries
* Fri Jun  8 2001 mfabian@suse.de
- new package: rfb-0.1.2
